Subject: bug#49229: 27.2; `M-x shell' fails over TRAMP from local MS Windows

From: Michael Albinus <[email-masked]>
Date: Fri, 02 Jul 2021 14:58:46 +0200

Jim Porter <[email-masked]> writes:

Hi Jim,

> (Hopefully I don't need to do anything special to comment on a closed bug...)

No problem,

> Maybe it would be best to revert the Tramp part of this patch and do
> something similar to the patch in my original message. That would
> ensure that nothing unexpected happens as a result of
> `default-directory' being relative to the current drive. If that makes
> sense, I can put together a proper patch for the `M-x shell' part.

As I've said in my reply, I believe the problem is more general, and not
restricted to just the `shell' function.

So I have pushed a patch to master, which reverts my Tramp change, and
which adds the following change to `read-file-name-default' of minibuffer.el:

*** /tmp/ediffZeoKgh	2021-07-02 14:52:22.462303385 +0200
--- /home/albinus/src/emacs/lisp/minibuffer.el	2021-07-02 14:50:37.716338781 +0200
***************
*** 3161,3166 ****
--- 3161,3167 ----
          (unless val (error "No file name specified"))

          (if (and default-filename
+ 		 (not (file-remote-p dir))
                   (string-equal val (if (consp insdef) (car insdef) insdef)))
              (setq val default-filename))
          (setq val (substitute-in-file-name val))

Could you, pls, test?

Best regards, Michael.